(defun c:LaS () (command "zurück" "M") (command "LAyer" "Neu" "BE_1 Rohstoffannahme" "") (setq Pos 10) (repeat 8 (princ Pos) (cond ((= (strlen (itoa Pos)) 1) (setq Zahl (strcat "00" (itoa Pos)))) ((= (strlen (itoa Pos)) 2) (setq Zahl (strcat "0" (itoa Pos)))) ((= (strlen (itoa Pos)) 3) (setq Zahl (itoa Pos))) (t nil) ) (princ Zahl) (setq LaName (strcat "BE_1 Pos " Zahl " Objektname _3D")) (command "Layer" "Neu" LaName "") (setq Pos (+ 10 Pos)) ) ;end repeat (repeat 10 (princ Pos) (cond ((= (strlen (itoa Pos)) 1) (setq Zahl (strcat "00" (itoa Pos)))) ((= (strlen (itoa Pos)) 2) (setq Zahl (strcat "0" (itoa Pos)))) ((= (strlen (itoa Pos)) 3) (setq Zahl (itoa Pos))) (t nil) ) (princ Zahl) (setq LaName (strcat "BE_1 Pos " Zahl " Objektname _3D")) (command "Layer" "Neu" LaName "") (setq Pos (+ 1 Pos)) ) ;end repeat (command "LAyer" "Neu" "BE_2 Einlagerung und Dosierung" "") (repeat 50 (princ Pos) (cond ((= (strlen (itoa Pos)) 1) (setq Zahl (strcat "00" (itoa Pos)))) ((= (strlen (itoa Pos)) 2) (setq Zahl (strcat "0" (itoa Pos)))) ((= (strlen (itoa Pos)) 3) (setq Zahl (itoa Pos))) (t nil) ) (princ Zahl) (setq LaName (strcat "BE_2 Pos " Zahl " Objektname _3D")) (command "Layer" "Neu" LaName "") (setq Pos (+ 10 Pos)) ) ;end repeat (command "LAyer" "Neu" "BE_3 Vormischung und Verwiegung" "") (repeat 72 (princ Pos) (cond ((= (strlen (itoa Pos)) 1) (setq Zahl (strcat "00" (itoa Pos)))) ((= (strlen (itoa Pos)) 2) (setq Zahl (strcat "0" (itoa Pos)))) ((= (strlen (itoa Pos)) 3) (setq Zahl (itoa Pos))) (t nil) ) (princ Zahl) (setq LaName (strcat "BE_3 Pos " Zahl " Objektname _3D")) (command "Layer" "Neu" LaName "") (setq Pos (+ 10 Pos)) ) ;end repeat )